Technical Tip

Speichern von Eigenschaften in einer Textdatei

Manchmal ist es wichtig, dass man die Eigenschaften seiner SOLIDWORKS Konstruktion extern abspeichert. Über die Makro-Funktion haben wir die Möglichkeit, alle Eigenschaften eine SOLIDWORKS Teils, einer Baugruppe oder Zeichnung auszulesen und weiter zu verarbeiten. In diesem Technical Tip zeige ich Ihnen, wie es möglich ist, diese Eigenschaften in einer simplen Textdatei abzuspeichern.


Zuerst starten wir mit dem Grundgerüst:

Dim swApp As Object
Sub main()
Set swApp = Application.SldWorks
End Sub

Mit diesem Grundgerüst haben wir nun ein Objekt vom Typ SldWorks und können alle Funktionen verwenden, die dieses Objekt zur Verfügung stellt.

Zunächst benötigen wir das Modell. Hierführ können wir einfach das bereits geöffnete Dokument abfragen. Zusätzlich erstellen wir ein Objekt für den Manager der verschiedenen Eigenschaften - diese werden von der Standard-Konfiguration geladen. Eine andere Konfiguration kann aber als Parameter mitgegeben werden. Hierzu muss der Name der Konfiguration einfach unter CustomPropertyManager("NAME KONFIGURATION") eingegeben werden:

Dim swApp As Object
Sub main()
Set swApp = Application.SldWorks
Dim swModel As SldWorks.ModelDoc2
Dim swCustPropMgr As SldWorks.CustomPropertyManager
Set swModel = swApp.ActiveDoc
Set swCustPropMgr = swModel.Extension.CustomPropertyManager("")
End Sub

Als nächstes muss abgefragt werden, welche Eigenschaften das Dokument denn überhaupt hat. Dies kamm man mit einer einfachen Funktion des Managers erledigen:

Dim names As Variant
Names = swCustPropMgr.GetNames

Nun da wir eine Liste aller Namen der Eigentschaften haben, können wir auch deren Wert abfragen. Dafür muss jeder Name separat abgefragt werden:

Dim name As Variant
Dim textexp As String
Dim evalval As String
For Each name In names
swCustPropMgr.Get2 name, textexp, evalval
Next name

In dieser Funktion definieren wir ein paar Variablen, um die einzelnen Eigenschaften und deren Werte abspeichern zu können, und wir durchlaufen jede einzelne Eigenschaft und fragen deren Wert ab. Allerdings werden diese bis jetzt noch nirgends verarbeitet. Um diese nun in einer Textdatei zu speichern, brauchen wir erst ein "FileSystemObject", und mit diesem erstellen wir eine Datei. Dazu müssen wir den Pfad der Datei als Prameter übergeben. In meinem Beispiel erstelle ich auf dem Laufwerk C:\\ eine test.txt Datei, in welche jede Eigenschaft gespeichert wird.

In der Schleife, in der alle Werte der Eigenschaften abgerufen werden, müssen wir anschliessend noch einfügen, dass jede Zeile in die Textdatei eingetragen wird. Anschliessend sieht unser Makro wie folgt aus:

Dim swApp As Object
Sub main()
Set swApp = Application.SldWorks
Dim swModel As SldWorks.ModelDoc2
Dim swCustPropMgr As SldWorks.CustomPropertyManager
Dim names As Variant
Dim name As Variant
Dim textexp As String
Dim evalval As String

Set swModel = swApp.ActiveDoc
Set swCustPropMgr = swModel.Extension.CustomPropertyManager("")
names = swCustPropMgr.GetNames

Dim fso As Object
Set fso = CreateObject("Scripting.FileSystemObject")
Dim oFile As Object
Set oFile = fso.CreateTextFile("C:\\test.txt")

For Each name In names
swCustPropMgr.Get2 name, textexp, evalval
oFile.WriteLine textexp & " = " & name & " = " & evalval

Next name
oFile.Close
Set fso = Nothing
Set oFile = Nothing

End Sub

Ich hoffe, dass diese einfache Anleitung euch hilft, wenn ihr Eigenschaften aus SOLIDWORKS in eine Textdatei exportieren müsst. Viel Spass beim Ausprobieren!


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.

Technical Tip

FEA Lastenübertragung aus Flow Simulation - Part 3: Motion

In den ersten beiden Teilen unserer Sommer-Serie haben wir mit Hilfe von SOLIDWORKS Flow Simulation und SOLIDWORKS Simulation berechnet, wie sich ein heftiger Gewittersturm auf einen Sonnenschirm auswirkt. Wir haben herausgefunden, mit welcher Kraft der Sturm sich wie auf den Schirm auswirkt. Jetzt möchten wir noch herausfinden, ob der Sonnenschutz als Ganzes stehen bleibt, respektive wann er umfällt.



Da sich die in Simulation errechneten Ergebnisse nicht direkt in Motion übertragen lassen, übernehmen wir die berechnete Reaktionskraft von -390.7 N und wenden Sie auf die Fläche des Sonnenschirms an.

Part 3: Motion


Schritt 1: Modellvorbereitung

1.1 Als Erstes ist es am einfachsten, wenn man zuerst eine Kopie unserer vorherigen Baugruppe, aber ohne die Simulations-Dateien kopiert.

1.2 Um den Sonnenschirm abzustützen, brauchen wir einen Boden in unserem Modell.

1.3 Es wird eine neue Baugruppe "*_motion.SLDASM" erstellt.

Beachten Sie, dass die Verknüpfungen in Motion weiter verwendet werden. Beispielsweise muss der Boden zuerst eingebaut sein, damit SOLIDWORKS Motion ihn als "fixiert" erkennt.


1.4 Der Sonnenschirm wurde wie abgebildet eingebaut. Nachträglich müssen aber alle Verknüpfungen wieder unterdrückt werden denn: der Sonnenschirm muss ja frei auf dem Boden liegen.


Schritt 2: Motion Analyse

2.1 Wir klicken auf das Register "Bewegungsstudie" und wählen dann "Bewegungsanalyse" aus.

2.2 Als nächstes legen wir die Zwangsbedingungen fest. Dazu treffen wir folgende Annahme: Die Krafteinleitung wird durch eine Funktion f(Zeit)=100*Zeit erstellt, wobei Zeit zwischen 0 und 4 Sekunden liegt.

Da der Sonnenschirm auf Sand aufgestellt ist, wird der "Maximale Dämpfung Koeffizient" adjustiert, so dass der Schirm nicht unrealistisch zurückspringt.

2.3 Ergebnisse Darstellung:
Die Kraft und die potenzielle Energie werden in der gleichen Grafik zusammengestellt. Ziel ist zu wissen, ab wann und ab welcher Kraft der Sonnenschirm bis zum Boden kippt.

2.4 Motion Analyse ausführen:

Hoppla, der Sonnenschirmfus geht durch den Boden. Was stimmt da nicht?
Die allgemeinen Motion Einstellungen müssen noch angepasst werden. So können wir den Kontaktbereich feiner berechnen.

2.5 Ergebnisse:
Die Analyse müssen wir noch einmal ausführen ().

Die Ergebnisse sehen jetzt deutlich besser aus ;-).

Auf dem Plot kann man feststellen, dass es eine minimale Kraft von 245 N braucht, bis der Sonnenschirm auf den Boden schlägt.


Somit enden wir unsere Sommerserie. Wir hoffen, dass Sie Ihnen gefallen hat, und dass Sie die Erkenntnisse daraus auch in der kälteren Jahreszeit nutzen können.

Technical Tip

FEA Lastenübertragung aus Flow Simulation - Part 2: Simulation

Im Part 1 unserer Sommer-Serie haben wir mit Hilfe von SOLIDWORKS Flow Simulation berechnet, wie sich ein heftiger Gewittersturm auf einen Sonnenschirm auswirkt. Die gewonnenen Ergebnisse haben wir in SOLIDWORKS Simulation übertragen.


Lasst uns nun untersuchen, wie sich die Kräfte auf den Sonnenschirm auswirken: Wird der Aluminium-Mast mit 40mm Durchmesser und die einzelnen Arme diesem Druck ohne Beschädigung standhalten können? Wird der Schirm kippen?

Auf geht's mit SOLIDWORKS Simulation


Part 2: Simulation


Materialliste und Annahmen:

- Sonnenschirm-Stoff: "fake material" mit einem E-Modul = 2'100'000 N/mm2 und Massendichte = 40 kg/m3
- Sonnenschirm Armaturen, Arme und Mast aus Aluminium 3.0526 (EN-AW 3004)
- Sonnenschirmfuss aus Stahl S235JR

Insgesamt wiegt der Sonnenschirm 87.8kg.



Schritt 1

Im folgenden Video wird gezeigt, wie man das Importieren von Flow Simulation Lastfällen in Simulation bereitstellt:


Schritt 2

Der Schirmstoff und die Armaturen-Arme sind mit jeweils 1mm und 1.5mm Dicke sehr dünn. Deshalb ist es sinnvoll, diese Teile auf Schalen zu konvertieren, um ein zuverlässiges Netz erstellen zu können.

Tipp: Damit SOLIDWORKS Simulation die Modelle als Schalenelemente vernetzen kann, wird eine Mittelfläche in die Geometrie definiert.
Weil der Schirmstoff aufgrund der Winkel unsaubere Mittelflächen-Eckverbindungen generiert, müssen die Schalen im Simulations-Modul von Hand definiert werden.


Es ist ausserdem wichtig, die lokalen Kontakte zwischen den Armatur-Armen und dem Schirmstoff festzulegen.

Ergebnisse der Statischen Simulation

Globale Verschiebung
Der Schirm verschiebt sich maximal um 38mm.

Maximale Von-Mises-Spannung
Die Auswirkungen auf den Sonnenschirm-Stoff sind für uns in diesem Beispiel nicht relevant. Deshalb blenden wir diese Komponente aus. Auf den Aluminium-Mast wirkt eine maximale Von-Mises-Spannung von 78.5 N/mm2 - also weit unter der Streckgrenze des Materials.

Reaktionskraft
In Richtung X wirkt eine gesamte Reaktionskraft von -390.7 N.


Unser Sonnenschirm als Ganzes hält dem Orkan also Stand. Doch bleibt er auch gerade stehen?
Die Analyse mit einem FEM Simulation Tool gibt nur Auskunft über die Deformation der Form selbst, nicht aber über grosse Bewegungen der ganzen Struktur. Dafür müssen wir eine weitere Analyse in SOLIDWORKS Motion durchführen.

In unserem nächsten Technical Tip werden wir Ihnen zeigen, wie Sie genau diese Analyse durchführen können. Wie wirkt sich der Orkan auf den Sonnenschirm als Ganzes aus? Wird es ihn umwehen?

Bis dahin: viel Spass beim Ausprobieren


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.


Technical Tip

FEA Lastenübertragung aus Flow Simulation - Part 1: Flow Simulation

Die Erinnerungen an den letztjährigen heissen Sommer sind kaum verblasst, stehen uns bereits wieder die ersten heissen Tage ins Haus. Wir sehnen uns nach Ferien, Abkühlung - und vor allem Schatten! Abhilfe schafft hier der klassische Sonnenschirm.


Doch gerade erleben wir auch, dass Gewitterstürme überraschend auftauchen können! Was passiert, wenn so ein Sturm aufzieht und zum Beispiel seitlich auf unseren Schirm einwirkt?

Schauen wir uns einmal mittels SOLIDWORKS Flow Simulation an, wie sich der Schirm unter diesen Umständen verhalten würde: Wird der Aluminium-Mast mit 40mm Durchmesser und die einzelnen Arme diesem Druck ohne Beschädigung standhalten können? Wird der Schirm kippen?

Dieses Verhalten können wir mit SOLIDWORKS Simulation und SOLIDWORKS Motion überprüfen. In unserer dreiteiligen Serie werden wir genau das tun. Lassen wir uns überraschen!


Part 1: Flow Simulation

Schritt 1

Um schneller zu einem Ergebnis zu kommen, vereinfachen wir den Schirm zuerst. Alle unntöigen Teile und/oder Features, welche für die Berechnung nicht relevant sind, werden unterdrückt. Dazu empfiehlt es sich eine simulationsspezifische Konfiguration zu erstellen.

WICHTIG:
- SOLIDWORKS Flow Simulation benötigt Volumen-Körper für die Berechnung.
- Die Körper werden während der Analyse als Starrkörper behandelt.

Schritt 2

Starten wir also mit der Flow Simulation. Mit Hilfe des Assistenten erstellen wir eine neue Flow Simulation Analyse. Dazu sind folgende Einstellungen nötig:


Es handelt sich um eine externe Analyse

Gas als Luft auswählen:

Unser Wind bläst mit einer Geschwindigkeit von 150km/h in Richtung X.

Schritt 3

Die Grösse des Berechnungsraums kann angepasst werden - so reduziert sich die Berechnungszeit.

Schritt 4

Wir definieren die Oberflächenziele um genaue Ergebnisse zu garantiere; Für diese Analyse wählen wir Totaldruck (Mittelwerk), Kraft, Kraft(X).

Schritt 5

Um zuverlässige Ergebnisse der Luftentwicklung innerhalb des Berechnungsraums zu erhalten, sollte man in der unmittelbaren Umgebung des Sonnenschirms das Netz verfeinern.
Das Netz enthält 131'146 Zellen. Bemerkung: Die Menge der Zellen ist je nach verfügbarem RAM Ihres Computers limitiert. Jede Zelle (partiell, fluid, durchgehend) erfordert eine bestimmte Menge an RAM pro Zelle. Die eigentliche Beschränkung stellt also der verfügbare Speicher dar.

Schritt 6

Wir führen die Analyse aus!

Das "Solver" Popup-Fenster öffnet sich und informiert den Benutzer über den Analyse-Fortschritt. Es können auch Fenster zur Ergebnis-Vorschau und Zieldarstellung hinzugefügt werden. Auch das Konvergenz-Fenster kann während dieses Prozesses Hinweise liefern, ob sich die Berechnung in die richtige Richtung bewegt, oder ob die Resultate angezweifelt werden sollten.

Schritt 7

Nun betrachten wir die Ergebnisse.

Die Geschwindigkeitsentwicklung der Luftströmung am Sonnenschirm wird durch Stromlinien angezeigt.


Die Luftströmung beschleunigt an der Spitze des Sonnenschirms bis zu einem Wert von 219km/h in Richtung X! Die daraus resultierenden Druckkräfte werden somit auf den Sonnenschirm ausgeübt.

Schritt 8

Diese Ergebnisse können jetzt zur weiteren Analyse in SOLIDWORKS Simulation übertragen werden. Im folgenden Video können Sie sehen, wie die entsprechenden Einstellungen gemacht werden. Die *.fld Datei ist die relevante Datei um die Flow Simulation Lasten nach SOLIDWORKS Simulation zu übertragen.



In unserem nächsten Technical Tip werden wir Ihnen zeigen, wie Sie die Auswirkungen des Orkans auf unseren Sonnenschirm in Simulation berechnen können.

Bis dahin: viel Spass beim Ausprobieren


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.

Technical Tip

Konstruktionsstudie Volumenberechnung

Viele Nutzer von SOLIDWORKS suchen lange iterativ nach Lösungen für verschiedene Problemstellungen - dabei kann uns SOLIDWORKS die ganze Arbeit abnehmen.

In unserem Beispiel möchten wir herausfinden, wie hoch ein Bunker werden muss, damit er ein Volumen von mindestens 1.2 m3 erhält.


Schritt 1

Zuerst starten wir mit der Schaltfläche Konstruktionsstudie im Menü "Evaluieren".

Schritt 2

Wir definieren die Variable Höhe.

Schritt 3

Danach korrigieren wir die min. und max. Werte, sowie die Schrittweite.

Schritt 4

Ein Sensor wird hinzugefügt: [Volumen].

Schritt 5

Das Volumen 1 muss als Zwangsbedingung grösser als 1.2 m3 sein. Dann starten wir die Konstruktionsstudie mit [Ausführen].

Schritt 6

Wir sehen, dass unsere Vorgaben in Szenario 9 erfüllt werden. Also wählen wirSeznario 9.

Resultat

Ein Volumen von 1.240m3 ergibt sich bei einer Höhe von 1680mm.
Hier noch der gesamte Prozess in Video-Format:

Viel Spass beim Ausprobieren.


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.

Technical Tip

Vereinfachtes Erstellen von Konstruktionsstudien

In SOLIDWORKS PDM Professional 2018 sind neue Funktionen für das vereinfachte Erstellen von Konstruktionsstudien dazugekommen.

Werden neue Varianten von Teilen entwickelt, kann die Verwaltung in PDM mit den Funktionen „Verzweigung…“ (Branch…) und später mit der neu entwickelten Variante „Zusammenführen…“ (Merge…) vereinfacht werden.

Im nachfolgenden Beispiel sollen die Sitzkissen des bekannten Camping-Fahrzeugs modifiziert werden:

Schritt 1

Dazu werden in PDM die Ausgangsdokumente in den Status „Work in Process“ gesetzt. Somit wird eine neue Revision erzeugt.

Schritt 2

Die Funktion Verzweigung finden sich als Kontextmenü „rechte-Maustaste“ oder unter „Extras“.

Schritt 3

Nun wird die Verzweigung (Studie) definiert:

Verzweigungsname, Standardziel (Zielverzeichnis), Name der Zieldatei mit Präfix oder Sufix.

Schritt 4

Die neuen Dateien werden erzeugt und können nun bearbeitet werden.

Schritt 5

Ist das Resultat der erarbeiteten Studie noch nicht befriedigend, können weitere Studien (Verzweigungen) erstellt werden.

Als Beispiel erstellen wir nun eine zweite Studie:

Schritt 6

Das Resultat ist nun zufriedenstellend. Somit werden die neu erstellten Dateien wieder mit den Original-Dateien zusammengeführt.

Ist im Explorer die Original-Datei selektiert, können die Studien anhand der Funktion „Zugeordnete Verzweigungen“ später wieder gefunden werden:

An dieser Stelle kann direkt zur Verzweigung navigiert, oder die Zusammenführung vollzogen werden.

Schritt 7

Das Zusammenführen kann auch auf der Studien-Datei erfolgen.

Schritt 8

Die neue Revision erhält nun den Inhalt der massgebenden Studie.

Schritt 9

Die neugestaltete Baugruppe ist nun fertig.

Viel Spass beim Verwenden der verschiedenen Funktionen.


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.

Technical Tip

SOLIDWORKS Online Lizenzierung

Die SOLIDWORKS Online Lizenzierung ist ein Lizenzmodell, das eine oder mehrere Einzellizenzen von SOLIDWORKS-Produkten an die SOLIDWORKS-ID eines Benutzers bindet. Mit der Online-Lizenzierung von SOLIDWORKS haben Anwender die Flexibilität, SOLIDWORKS-Produkte auf beliebig vielen Maschinen zu installieren und zu nutzen, ohne dass sie diese jedes Mal aktivieren oder deaktivieren müssen.

Alles, was Sie dafür brauchen, ist eine Verbindung zum Internet. Aber auch für Reisende steht ein Offline-Modus zur Verfügung.

Um eine Einzellizenz eines SOLIDWORKS 2018 Produktes von der Rechner-Aktivierung zu einer Online Lizenz umzustellen, sind folgende Schritte nötig:

Schritt 1

Als erstes brauchen wir eine SOLIDWORKS ID. Eine ID benötigt der Lizenzverwaltungs-Administrator sowie jeder Benutzer, der eine Online Lizenz verwenden möchte. Die ID ist identisch mit dem Zugang zum SOLIDWORKS Kundenportal. Wenn Sie noch keine ID besitzen, können Sie sich ganz einfach auf my.solidworks.com unter „Teilnehmen“ registrieren.

Schritt 2

Nach der Anmeldung wechseln wir zum „Admin Portal“.

Schritt 3

Auf der Seite „Members“ muss nun die gewünschte Lizenz einem User zugewiesen werden.

Schritt 4

Anschliessend kann unter „Products“ die gewünschte Lizenz von „Machine Activation“ zur Online Lizenz gewechselt werden.

Der Lizenztyp kann jederzeit wieder geändert werden.

Schritt 5

Somit sind alle Voraussetzungen für die Verwendung der entsprechenden Lizenzen erfüllt.

Beim Starten von SOLIDWORKS werden Sie nun aufgefordert, sich - anstelle der Aktivierung - mit der SOLIDWORKS ID anzumelden.

Während dem Arbeiten mit SOLIDWORKS ist es nun essenziell, dass die Verbindung zum Internet bestehen bleibt.

Alternativ kann die Lizenz bis zu maximal 30 Tagen Offline gesetzt werden.

Wir wünschen Ihnen viel Spass beim Arbeiten mit unseren SOLIDWORKS Produkten!


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.

Technical Tip

Die ALT-Taste in SOLIDWORKS

Das Verhalten einer Funktion kann durch Tastenkombinationen beeinflusst werden. Durch Betätigung der Shift, Ctrl oder Alt-Taste verändern Sie blitzschnell die Funktionen grundlegend. In diesem Technical Tip zeigen wir ein paar nützliche Beispiele für die Verwendung der ALT-Taste auf:

Beispiel 1

Standardverknüpfungen durch Drag & Drop und kurzzeitiges Drücken auf die ALT-Taste:

  • Bei der Auswahl von planaren Flächen Deckungsgleiche Verknüpfungen erstellen.
  • Wechseln der Richtung durch Betätigung der Tabulator–Taste.
  • Konzentrische Verknüpfungen erstellen bei der Auswahl von konzentrischen Flächen.
  • Konzentrische und Deckungsgleiche (Zapfen auf Bohrung) Verknüpfungen erstellen bei der Auswahl einer konzentrischen Kante.

Beispiel 2

Modellansicht rollen/drehen in einem Teil oder Baugruppe:

  • Modell wird mit den Pfeiltasten gedreht.
  • Pfeiltasten + Alt-Taste rollt das Modell nach links oder rechts.

Beispiel 3

Im FeatureManager die Baugruppenstruktur ändern:

  • Beim Verschieben von Teilen werden diese nicht in eine Unterbaugruppe gezogen, sondern darunter positioniert.

Beispiel 4

In der Zeichnung einfacher Zeichnungsansichten und Tabellen verschieben:

  • Bei Zeichnungsansichten innerhalb der Ansicht Drag & Drop + ALT-Taste drücken um die Ansicht zu verschieben.
  • Mit der Alt-Taste können Sie Tabellen verschieben, ohne dass Sie den speziellen Ankerpunkt auswählen. So kann die Tabelle auch direkt über eine Zelle angewählt werden, um sie zu verschieben.

Viel Spass beim Verwenden der verschiedenen Funktionen.


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.

Technical Tip

Manuelles Reverse-Engineering mit Oberflächen

Anlässlich des 88. Internationalen Autosalons in Genf haben wir uns gedacht, wir scannen doch einen Rückspiegel und zeigen anhand dieses Tipps die Möglichkeiten des Reverse Engineerings in SOLIDWORKS auf.

Unser 3D-Scan-Guru, Thomas Mihatsch, scannt extra für uns seinen Rückspiegel:

Schritt 1

Sobald wir den Scan als Netzdaten haben, öffnen wir diesen in SOLIDWORKS.

Das Netz wird nun innerhalb von SOLIDWORKS als grafisches Netz angezeigt. Ein grafisches Netz wird nur, wie es die Bezeichnung bereits andeutet, als Grafik angezeigt: Es können also keine Punkt oder Kanten abgegriffen werden. Somit ist eine Weiterverarbeitung mit diesem Netz schwierig.

Schritt 2

In SOLIDWORKS 2018 können wir nun dieses Netz in ein Oberflächen-Netz umwandeln, was uns erlaubt, Geometrien wie zum Beispiel Skizzen von einzelnen Netzpunkten abhängig zu machen.

Schritt 3

Als Nächstes muss nun entschieden werden, wie der Körper aufgebaut werden soll. Bei komplexeren Geometrien gibt es immer mehrere Wege, wie man zum gewünschten Ergebnis kommen kann. Wir entscheiden uns an dieser Stelle dafür, dass der Rückspiegel aus drei Begrenzungsoberfächen bestehen soll, welche miteinander verrundet werden.

Unten wird eine planare Fläche gelegt, die anderen beiden zu erstellenden Flächen werden mit unterschiedlichen Farben dargestellt:

Schritt 4

Wir fangen mit der einfachsten Fläche an – auf der Ebene oben wird eine neue Skizze erstellt. Auf dieser wird ein Rechteck gezeichnet, welches deutlich grösser ist, als die Ursprungsgeometrie. Sobald mit Oberflächen gearbeitet wird, werden ALLE Flächen immer zu gross erstellt, damit das nachfolgende Trimmen der Oberflächen sich einfacher gestaltet.

(in diesem Bild wird ersichtlich, dass einige Elemente des Netzes höher liegen als die Ebene, andere wiederum ein wenig tiefer. Beim Reverse Engineering muss immer darauf geachtet werden, wie gross die Abweichung vom eigentlichen Netz zum finalen Modell sein darf. Für unser Beispiel ist diese Annäherung durchaus zulässig).

Schritt 5

Damit nun die Begrenzungsoberfläche erstellt werden kann, benötigen wir mehrere Skizzen, die über die gesamte Geometrie verteilt sind. Dazu erstellen wir eine Offset Ebene zur Ebene rechts.

Schritt 6

Danach verwenden wir diese Ebene als Schnittebene, damit wir die Schnittkante des Netzes sehen.

Schritt 7

Auf dieser Ebene erstellen wir sogleich eine Skizze mit einer Spline, welcher dem Netz folgt.

Die Schritte 6-8 wiederholen wir, um mehrere Skizzen zu erstellen, welche anschliessend in einer Begrenzungsoberfläche verwendet werden können.

Schritt 8

Bei einer Begrenzungsoberfläche kann es nötig sein, diese noch mit Skizzen in Richtung 2 zu ergänzen, damit der Übergang geschmeidiger verläuft. Die Skizzen, die hier erstellt werden, sollten in Abhängigkeit zu den anderen Skizzen stehen. Dies wird so gelöst, dass auf der Spline, die nun neu gezeichnet wird, Punkte ergänzt werden, und diese mit der Beziehung „Anstecken“ auf die anderen Skizzen verknüpft werden.

Jetzt sehen wir das Ergebnis:

Schritt 9

Die komplette Abfolge aller Schritte wird nun für die obere Fläche repetiert. Das Resultat lässt bereits die fertige Form vermuten:

Schritt 10

Die Ebenen werden noch verlängert, damit ein reibungsloser Trimmvorgang durchgeführt werden kann.

Schritt 11

Neben der Trimmfunktion „gegenseitig“ gibt es auch noch die Funktion „standard“ – diese wird dann verwendet, wenn eine Fläche gegenüber einer Skizze oder einer Ebene getrimmt werden soll.

Schritt 12

Nun fehlen dem Modell noch die Verrundungen. Da es sich bei unserem Teil um einen Rückspiegel handelt, sollen die Übergänge der Radien möglichst „weich“ sein, also wählen wir die Option „Durchgehende Krümmung“ aus. Diese gewährleistet einen Radien-Übergang mit der Krümmungsstetigkeit C2, welcher in der Automobilbranche als Standard gilt.

Das fertige Modell kann sich sehen lassen:

Viel Spass beim Verwenden der verschiedenen Funktionen.


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.

Technical Tip

Erstellen von Makros in SOLIDWORKS

Wussten Sie, dass Sie in SOLIDWORKS ganz einfach Makros erstellen können, um ihre Dateien mit einem Klick in verschiedenen Formaten abzuspeichern? Wir zeigen Ihnen wie!

Schritt 1

Sobald ein neues Makro erstellt wurde, erhalten wir die folgenden Zeilen Code:

In der ersten Zeile erstellen wir ein leeres Objekt, welchem wir später zuweisen, was es beinhalten soll.

In der zweiten Zeile eröffnen wir unsere Hauptfunktion. Dies ist unser Startpunkt. In der folgenden Zeile weisen wir nun unserem Objekt die Funktionen von SOLIDWORKS zu. In der letzten Zeile wird sogleich unsere Hauptfunktion wieder beendet.

Schritt 2

Um uns langsam heranzutasten, speichern wir unsere Datei mit einem fest definierten Pfad und einem fest definierten Dateinamen ab.

Nun haben wir ausserhalb unserer Hauptfunktion drei neue Variablen definiert.

Die ersten beiden sind Strings (Datentypen), also Zeichenfolgen denen wir in der Hauptfunktion den genauen Pfad zuweisen und den genauen Dateinamen.

Die dritte Variable swModel, welche wir erstellt haben, ist vom Datentyp SldWorks.ModelDoc2. In diesem Datentyp können wir das aktive Dokument speichern. Dies machen wir in der Hauptfunktion mit

Set swModel = swApp.ActiveDoc

Sobald dies geschehen ist, können wir das Dokument auch wieder speichern. Dazu wird ganz einfach eine Funktion von diesem Datentyp aufgerufen.

swModel.SaveAs (Pfad & Dateiname)

Bei dieser Funktion geben wir in Klammern an, wo und in welchen Dateiformat diese gespeichert werden soll. Hierbei können wir zwei Strings durch ein Setzen von "&" verknüpfen.

Schritt 3

Nun möchten wir hierfür aber keinen festen Pfad angeben, sondern die neue Datei dort speichern, wo die aktuelle Datei bereits liegt.

Hierfür gehen wir wie folgt vor:

Wir erstellen zwei neue Variablen mit dem Datentyp Object. In der Hauptfunktion weisen wir dann dem Object „FSO“ ein FileSystemObject zu. Dies dient dazu, um auf sichere Art und Weise mit dem Lokalen Dateisystem zu arbeiten.

Dem zweiten Object „Datei“ wird direkt die im SOLIDWORKS geöffnete Datei zugewiesen.

Mit swModel.GetPathName erhalten wir den absoluten Pfad zu der geöffneten Datei, z.B. „C:\Dokumente\MeinPart.SLDPRT“. Da wir nun aber nur den Pfad zu dem Ordner benötigen, müssen wir dies trennen.

Da das Object „Datei“ nun unser geöffnetes Dokument enthält können wir ganz einfach mit "FSO.GetParentFoldername(Datei)" den Pfad bis zum Ordner abfragen - z.B. „C:\Dokumente“

Beim Speichern können Pfad und Dateiname auf eine sichere Art wieder mit "FSO.BuildPath(Pfad,Dateiname)" zusammengefügt werden.

Schritt 4

Nun sollte der Dateiname ebenfalls dynamisch werden, sodass wir nur mit der Dateiendung festlegen, welche Formate wir speichern möchten.

Nun können wir mit "FSO.GetFileName(Datei)" den Namen der aktuellen Datei abfragen. Dieser wäre „MeinPart.sldprt“. Da wir nun aber die Endung ersetzen wollen, müssen wir diese zunächst entfernen.

Dies machen wir in einem Schritt. Die Funktion "Replace" nimmt uns dabei die Arbeit ab. Als ersten Parameter geben wir die Zeichenfolge an, in der etwas ersetzt werden soll. Als zweiten Parameter geben wir an, was ersetzt werden soll. In dem Fall fragen wir mit "FSO.GetExtensionName(Datei)" die korrekte Endung ab. Mit dem dritten Parameter geben wir an, durch was dies ersetzt werden soll. In unserem Fall mit nichts.

Somit brauchen wir bei der Funktion zum speichern nur noch die Endung miteinfügen.

Schritt 5

Zum Schluss soll dieses Makro nun noch in das Menü Band von SOLIDWORKS eingefügt werden.

Mit Rechtsklick auf das Menüband und anschliessendem Linksklick auf "Anpassen" wird das Anpassungsfenster geöffnet.

Nun können wir unter dem Reiter Befehle den Menüpunkt Makro auswählen und den Button "Neue Makro Schaltfläche" an den Punkt ziehen, an dem wir dies einfügen wollen.

Nun müssen wir nur noch unser Makro auswählen und gegebenfalls das Symbol, Tooltip und Beschreibung anpassen.


Sagen Sie uns Ihre Meinung

Wie hilfreich sind diese Technical Tips für Sie im Alltag?

Haben Sie Vorschläge für einen Technical Tip?

Teilen Sie Ihre Erfahrungen mit uns: Am besten als Kommentar, hier oder auf unserer Facebook-Seite.